Package mpi

# Class Message

java.lang.Object
mpi.Message

public final class Message extends Object
This class represents `MPI_Message`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`handle`

## Constructor Summary

Constructors
Constructor
Description
`Message()`
Creates a `MPI_MESSAGE_NULL`.

## Method Summary

Modifier and Type
Method
Description
`Status`
`imProbe(int source, int tag, Comm comm)`
Java binding of `MPI_IMPROBE`.
`Request`
`imRecv(Buffer buf, int count, Datatype type)`
Java binding of `MPI_IMRECV`.
`boolean`
`isNoProc()`
Tests if the message is `MPI_MESSAGE_NO_PROC`.
`boolean`
`isNull()`
Tests if the message is `MPI_MESSAGE_NULL`.
`Status`
`mProbe(int source, int tag, Comm comm)`
Java binding of `MPI_MPROBE`.
`Status`
`mRecv(Object buf, int count, Datatype type)`
Java binding of `MPI_MRECV`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### handle

protected long handle

## Constructor Details

### Message

public Message()
Creates a `MPI_MESSAGE_NULL`.

## Method Details

### isNull

public boolean isNull()
Tests if the message is `MPI_MESSAGE_NULL`.

Returns:
  true if the message is `MPI_MESSAGE_NULL`.

### isNoProc

public boolean isNoProc()
Tests if the message is `MPI_MESSAGE_NO_PROC`.

Returns:
  true if the message is `MPI_MESSAGE_NO_PROC`.

### mProbe

public Status mProbe(int source, int tag, Comm comm) throws MPIException
Java binding of `MPI_MPROBE`.

Parameters:
  `source` - rank of the source
  `tag` - message tag
  `comm` - communicator
Returns:
  status object
Throws:
  `MPIException` - Signals that an MPI error of some sort has occurred.

### imProbe

public Status imProbe(int source, int tag, Comm comm) throws MPIException
Java binding of `MPI_IMPROBE`.

Parameters:
  `source` - rank of the source
  `tag` - message tag
  `comm` - communicator
Returns:
  status object if there is a message, `null` otherwise
Throws:
  `MPIException` - Signals that an MPI error of some sort has occurred.

### mRecv

public Status mRecv(Object buf, int count, Datatype type) throws MPIException
Java binding of `MPI_MRECV`.

Parameters:
  `buf` - receive buffer
  `count` - number of elements in receive buffer
  `type` - datatype of each receive buffer element
Returns:
  status object
Throws:
  `MPIException` - Signals that an MPI error of some sort has occurred.

### imRecv

public Request imRecv(Buffer buf, int count, Datatype type) throws MPIException
Java binding of `MPI_IMRECV`.

Parameters:
  `buf` - receive buffer
  `count` - number of elements in receive buffer
  `type` - datatype of each receive buffer element
Returns:
  request object
Throws:
  `MPIException` - Signals that an MPI error of some sort has occurred.